Skip to main content
POST
/
cards
/
{cardId}
/
access
Request card access
curl --request POST \
  --url https://api.useproxy.ai/v1/cards/{cardId}/access \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "intentId": "<string>",
  "purpose": "<string>",
  "expectedAmount": 123,
  "expectedCurrency": "<string>",
  "merchantText": "<string>",
  "reason": "<string>",
  "clientContext": {}
}
'
{
  "id": "<string>",
  "cardId": "<string>",
  "status": "<string>",
  "decision": "granted",
  "reasons": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "intentId": "<string>",
  "effectivePolicy": {
    "requireIntent": true,
    "requireAttestation": true,
    "requireApproval": true,
    "autoApproveBelow": 123,
    "attestationWindowMinutes": 123,
    "cooldownMinutes": 123,
    "ttlMinutes": 123,
    "ttlDays": 123,
    "limits": {
      "perAuth": 123,
      "perDay": 123,
      "perMonth": 123
    },
    "allowedMccs": [
      "<string>"
    ],
    "blockedMccs": [
      "<string>"
    ],
    "allowedMerchants": [
      "<string>"
    ],
    "lockToFirstMerchant": true
  },
  "grantedAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Headers

Idempotency-Key
string

Unique key for idempotent requests (24-hour cache)

Path Parameters

cardId
string
required

Card ID (e.g., card_...)

Body

application/json
intentId
string

Intent ID to associate with this access

purpose
string

Purpose of access

expectedAmount
number

Expected amount in cents

expectedCurrency
string
merchantText
string

Expected merchant name

reason
string
clientContext
object

Response

Access granted

id
string
required
cardId
string
required
status
string
required
decision
enum<string>
required
Available options:
granted,
denied
reasons
object[]
required
intentId
string | null
effectivePolicy
object

Spending policy controls

grantedAt
string<date-time> | null
expiresAt
string<date-time> | null
createdAt
string<date-time> | null